<h3 style="color: darkolivegreen;">Welcome {{emailId}}!</h3>

<h1 align="center">GetEmployeeById</h1> <br/>

<div class="container">
    <form #empForm="ngForm" (ngSubmit)="getEmployee(empForm.value)" align="center"> 
        Enter EmpID: <input type="text" name="empId" ngModel /> <br/><br/>
        <button>GetEmployee</button>
    </form> 
</div>
<br/>

<div class="container" *ngIf="emp;else noEmp">

    <table class="table table-bordered table-sm table-hover table-striped">

        <thead>
            <tr align="center">
                <th class="bg-info text-white">EmpId</th>
                <th class="bg-info text-white">EmpName</th>
                <th class="bg-info text-white">Salary</th>
                <th class="bg-info text-white">Gender</th>
                <th class="bg-info text-white">Country</th>
                <th class="bg-info text-white">DOJ</th>
            </tr>
        </thead>

        <tbody>
            <tr align="center">
                <td> {{emp.empId}}   </td>
                <td> {{emp.empName}} </td>
                <td> {{emp.salary}}  </td>
                <td> {{emp.gender}}  </td>
                <td> {{emp.country}} </td>
                <td> {{emp.doj | date: 'dd-MMM-yyyy'}}     </td>
            </tr>
        </tbody>
    </table>

</div>

<ng-template #noEmp>
<div class="container" >
    <h1 style="color: red;" align="center">{{msg}}</h1>
</div>
</ng-template>
